<?php

namespace com\fwdekker\deathnotifier\validation;

use com\fwdekker\deathnotifier\MalformedRequestException;


/**
 * Thrown to indicate that a request to the server is missing a required input or has an input of the incorrect type.
 *
 * If the input is set and of the correct type, but is invalid for another reason, throw {@see InvalidValueException}
 * instead.
 */
class InvalidTypeException extends MalformedRequestException
{
    // Intentionally left empty
}
