<?php

namespace com\fwdekker\deathnotifier\mailer;


/**
 * A simple plain {@see Email}, only for tests.
 */
class TestEmail extends Email
{
    private readonly string $subject;
    private readonly string $body;


    public function __construct(string $type_key = "key", string $recipient = "recipient", string $subject = "subject",
                                string $body = "body")
    {
        parent::__construct($type_key, $recipient);

        $this->subject = $subject;
        $this->body = $body;
    }


    public function get_subject(): string
    {
        return $this->subject;
    }

    public function get_body(): string
    {
        return $this->body;
    }
}
