<?php

namespace com\fwdekker\deathnotifier\wikipedia;


/**
 * The type of Wikipedia article.
 */
enum ArticleType
{
    /**
     * A page about a real-life person.
     */
    case Person;
    /**
     * A disambiguation page.
     */
    case Disambiguation;
    /**
     * A page that is not one of the other types.
     */
    case Other;
}
